Subject: Re: [PATCH] skge: add quirk to limit DMA

From: Stephen Hemminger <[email-masked]>
Date: Wed, 6 Oct 2010 06:58:45 +0900

On Tue, 05 Oct 2010 00:18:00 -0700 (PDT)
David Miller <[email-masked]> wrote:

> From: Stanislaw Gruszka <[email-masked]>
> Date: Wed, 29 Sep 2010 11:33:23 +0200
> 
> > Skge devices installed on some Gigabyte motherboards are not able to
> > perform 64 dma correctly due to board PCI implementation, so limit
> > DMA to 32bit if such boards are detected.
> > 
> > Bug was reported here:
> > https://bugzilla.redhat.com/show_bug.cgi?id=447489
> > 
> > Signed-off-by: Stanislaw Gruszka <[email-masked]>
> > Tested-by: Luya Tshimbalanga <[email-masked]>
> 
> Stephen?  Can I get an ACK or some kind of other status on this?

I was hoping to find the hardware somewhere to dig deeper into
this. But until I know more please apply the patch. There are
two possibilities that still exist, 1) it is true for all devices
on this motherboard (in which cases it should be a PCI quirk),
2) it is a driver bug. The test was going to be putting a skge
pci card in a slot on the MB.